Bug 208787

Summary: [PATCH] www/npm2: change default backend to www/node4
Product: Ports & Packages Reporter: Bradley T. Hughes <bhughes>
Component: Individual Port(s)Assignee: Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Some People CC: pi
Priority: --- Keywords: patch
Version: LatestFlags: pi: maintainer-feedback? (sunpoet)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch from a git commit, apply with patch -p1
none
poudriere testport log none

Description Bradley T. Hughes freebsd_committer 2016-04-13 20:11:54 UTC
Created attachment 169299 [details]
patch from a git commit, apply with patch -p1

Have the LTS version of npm depend on the LTS version of node by default.
Comment 1 Bradley T. Hughes freebsd_committer 2016-04-13 20:12:16 UTC
Created attachment 169300 [details]
poudriere testport log
Comment 2 Bradley T. Hughes freebsd_committer 2016-04-13 20:15:12 UTC
See also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=206028
Comment 3 Po-Chuan Hsieh freebsd_committer 2016-04-30 15:44:13 UTC
npm2 now depends on node4 by default. Thanks!